> ## Documentation Index
> Fetch the complete documentation index at: https://docs.undrctrl.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll

> Initiate a poll order for the authenticated user using the provided parameters.



## OpenAPI

````yaml api-order-poll POST /api/v2/
openapi: 3.0.0
info:
  title: UNDRCTRL API
  description: List of all available APIs that can be consumed
  version: 1.0.0
servers:
  - url: https://undrctrl.id
    description: Production server
security: []
paths:
  /api/v2/:
    post:
      summary: Add Poll Order
      description: >-
        Initiate a poll order for the authenticated user using the provided
        parameters.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  description: The `API key` for authentication
                  example: apiKey
                action:
                  type: string
                  description: Action to be performed, set to `add` for poll order
                  example: add
                service:
                  type: integer
                  description: '`Service ID` for the poll order'
                  example: 123
                link:
                  type: string
                  description: '`Link` to the page for the order'
                  example: https://example.com/page
                quantity:
                  type: integer
                  description: Needed `quantity` for the order
                  example: 100
                answer_number:
                  type: integer
                  description: '`Answer number` of the poll to be targeted'
                  example: 1
              required:
                - key
                - action
                - service
                - link
                - quantity
                - answer_number
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  order:
                    type: integer
                    example: 23501
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Incorrect request

````